What are the minimum system requirements for Brainshark?

This document outlines the minimum system requirements needed for viewing Brainshark content.  Alternatively, Brainshark can automatically test your system for compatibility.

Requirement

Supported Minimum

Supported Browsers

Internet Explorer 11

Microsoft Edge (latest version)

Firefox (latest version)

Safari (latest version)

Chrome (latest version)

Browser Settings

Allow pop-ups for www.brainshark.com

Enable JavaScript

Enable cookies

Flash Player

Latest Version of Flash

Bandwidth

 2 Mbps

Mobile Devices

Apple iPhone, Apple iPad, Apple iPod Touch

Android

 

Have more questions? Submit a request

Comments